﻿/*
 * HF synthesizer
 * base on Si5351x2
 * 9 - bands
 *
 * Usart.h
 *
 * Author: R9OFG (ex R0AEK)
 * Version - 2.0 beta
 *
 * radio0aek@gmail.com
 * https://r0aek.me
 */

#ifndef USART_H_
#define USART_H_

#include "Main.h"

#define BAUD 57600				//скорость работы USART
#define MYUBRR F_CPU/16/BAUD-1	//расчет скорости передачи USART

//колецевые буферы приема и передачи для UART
#define BUFSIZERX 32			//размер буфера приема по UART
#define BUFSIZETX 32			//размер буфера передачи по UART
//UART Маски для обработки индексов кольцевых буферов:
#define BUFMASKRX (BUFSIZERX-1)
#define BUFMASKTX (BUFSIZETX-1)
//UART Буфер приема и его индексы:
char bufRX [BUFSIZERX];
unsigned char rxIn, rxOut;
//UART Буфер передачи и его индексы:
char bufTX [BUFSIZETX];
unsigned char txIn, txOut;
//END_колецевые буферы приема и передачи для UART

void USART_Init(unsigned int ubrr);
void handlerRXUSART(void);
void handlerTXUSART(void);
void RX_Data_Parsing(void);
void CAT_IF_Send(void);
void CAT_ATT_PRE_Send(int Value);

#endif /* USART_H_ */